package com.herpro.databinding3.ui;

import androidx.databinding.InverseMethod;

import com.herpro.databinding3.R;
import com.herpro.databinding3.data.CustomerViewModel.Gender;

public class Converters {

    @InverseMethod("intToGender")
    public static int genderToInt(Gender gender) {
        return gender == Gender.MASCULINE ? 0 : 1;
    }

    public static Gender intToGender(int gender) {
        return gender == 0 ? Gender.MASCULINE : Gender.FEMENINE;
    }

    @InverseMethod("intToBoolean")
    public static int booleanToInt(boolean natural) {
        return natural ? R.id.r2 : R.id.r1;
    }

    public static boolean intToBoolean(int radioId) {
        return radioId == R.id.r2;
    }
}
